com.fasterxml.jackson.module.afterburner.ser

## Class IntFieldPropertyWriter

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.PropertyWriter
  - - com.fasterxml.jackson.databind.ser.BeanPropertyWriter
    - - com.fasterxml.jackson.module.afterburner.ser.IntFieldPropertyWriter

All Implemented Interfaces:
  com.fasterxml.jackson.databind.BeanProperty, com.fasterxml.jackson.databind.util.Named

    public final class IntFieldPropertyWriter
    extends com.fasterxml.jackson.databind.ser.BeanPropertyWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

`com.fasterxml.jackson.databind.BeanProperty.Std`

### Field Summary

Fields
`protected BeanPropertyAccessor` `_propertyAccessor`
`protected int` `_propertyIndex`
`protected boolean` `broken`
`protected com.fasterxml.jackson.databind.ser.BeanPropertyWriter` `fallbackWriter`

### Fields inherited from class com.fasterxml.jackson.databind.ser.BeanPropertyWriter

`_accessorMethod, _cfgSerializationType, _contextAnnotations, _declaredType, _dynamicSerializers, _field, _includeInViews, _internalSettings, _member, _metadata, _name, _nonTrivialBaseType, _nullSerializer, _serializer, _suppressableValue, _suppressNulls, _typeSerializer, _wrapperName, MARKER_FOR_EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`IntFieldPropertyWriter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter src, BeanPropertyAccessor acc, int index, com.fasterxml.jackson.databind.JsonSerializer<Object> ser)`

### Method Summary

Methods
`protected void` `_reportProblem(Object bean, Throwable e)`
`void` `serializeAsElement(Object bean, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider prov)`
`void` `serializeAsField(Object bean, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider prov)`
`IntFieldPropertyWriter` `withAccessor(BeanPropertyAccessor acc)`
`com.fasterxml.jackson.databind.ser.BeanPropertyWriter` `withSerializer(com.fasterxml.jackson.databind.JsonSerializer<Object> ser)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.BeanPropertyWriter

`_depositSchemaProperty, _findAndAddDynamic, _handleSelfReference, _handleSelfReference, assignNullSerializer, assignSerializer, depositSchemaProperty, depositSchemaProperty, get, getAnnotation, getContextAnnotation, getFullName, getGenericPropertyType, getInternalSetting, getMember, getMetadata, getName, getPropertyType, getRawSerializationType, getSerializationType, getSerializedName, getSerializer, getType, getViews, getWrapperName, hasNullSerializer, hasSerializer, isRequired, isRequired, isUnwrapping, removeInternalSetting, rename, serializeAsOmittedField, serializeAsPlaceholder, setInternalSetting, setNonTrivialBaseType, toString, unwrappingWriter, willSuppressNulls`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _propertyAccessor

    protected final BeanPropertyAccessor _propertyAccessor

#### _propertyIndex

    protected final int _propertyIndex

#### fallbackWriter

    protected final com.fasterxml.jackson.databind.ser.BeanPropertyWriter fallbackWriter

#### broken

    protected boolean broken

### Constructor Detail

#### IntFieldPropertyWriter

    public IntFieldPropertyWriter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter src,
                          BeanPropertyAccessor acc,
                          int index,
                          com.fasterxml.jackson.databind.JsonSerializer<Object> ser)

### Method Detail

#### withSerializer

    public com.fasterxml.jackson.databind.ser.BeanPropertyWriter withSerializer(com.fasterxml.jackson.databind.JsonSerializer<Object> ser)

#### withAccessor

    public IntFieldPropertyWriter withAccessor(BeanPropertyAccessor acc)

#### serializeAsField

    public final void serializeAsField(Object bean,
                        com.fasterxml.jackson.core.JsonGenerator jgen,
                        com.fasterxml.jackson.databind.SerializerProvider prov)
                                throws Exception

Throws:
  `Exception`

#### serializeAsElement

    public final void serializeAsElement(Object bean,
                          com.fasterxml.jackson.core.JsonGenerator jgen,
                          com.fasterxml.jackson.databind.SerializerProvider prov)
                                  throws Exception

Throws:
  `Exception`

#### _reportProblem

    protected void _reportProblem(Object bean,
                      Throwable e)